Skip to main content
POST
Link Project Data Source

Authorizations

x-api-key
string
header
required

API key for authentication

x-selected-account-id
string
header
required

Selected Account ID

Path Parameters

project_id
string
required

Body

application/json

Attach a Data Sources connector to a DEX project.

Provide exactly one of:

  • connector: create a new connector on the Data Sources service and link it (project-owned), or
  • data_sources_data_source_id: link an existing connector (reuse across projects).
data_sources_data_source_id
string<uuid> | null

Existing Data Sources service data source id to link.

connector
SharePointDataSourceCreate · object

Config for a new connector to create and link (project-owned).

workflow
WorkflowDefinition · object | null

Workflow definition to trigger for datasource change events.

Response

Successful Response

id
string
required

ID of the entity

project_id
string
required

ID of the project

name
string
required
provider_type
string
required

Provider discriminator (e.g. sharepoint); aligned with Data Sources values

data_sources_data_source_id
string
required

Remote data source id in the Data Sources service

data_sources_subscription_id
string
required

Active subscription id in the Data Sources service

status
enum<string>
required
Available options:
active,
paused,
disabled,
deleted
created_at
string<date-time>
required
updated_at
string<date-time>
required
object
string
default:data_source
Allowed value: "data_source"
workflow_id
string | null

Workflow triggered by this linked data source.

workflow_status
string | null

Status of the workflow triggered by this linked data source.

config_metadata
Config Metadata · object
last_delta_cursor
string | null
last_event_at
string<date-time> | null
deleted_at
string<date-time> | null